LinuxQMISDK: qaGobiApiWds.h File Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- File List
- Globals

Data Structures | Macros | Typedefs | Enumerations | Functions
qaGobiApiWds.h File Reference
Wireless Data Service (WDS)

Wireless Data Service API function prototypes. More...

Go to the source code of this file.

## Data Structures
struct | dataBearerTechnology
struct | dataBearers
struct | QmiWdsIpAddressInfo
struct | WdsIpAddressInfoReq
struct | UMTSQoS
struct | ProfileIdentifier
struct | GPRSQoS
struct | PCSCFIPv4ServerAddressList
struct | PCSCFFQDNAddress
struct | PCSCFFQDNAddressList
struct | Domain
struct | DomainNameList
struct | IPV6AddressInfo
struct | IPV6GWAddressInfo
struct | qmiWdsRunTimeSettings
struct | WdsRunTimeSettings
struct | ssdatasession_params
struct | SLQSDeleteProfileParams
struct | Profile3GPP
struct | Profile3GPP2
union | WdsProfileParam
struct | CreateProfileIn
struct | UMTSMinQoS
struct | GPRSRequestedQoS
struct | TFTIDParams
struct | UMTSReqQoSSigInd
struct | QosClassID
struct | CreateProfileOut
struct | slqsautoconnect
struct | ModifyProfileIn
struct | ModifyProfileOut
struct | _slqs3GPPConfigItem
struct | _GetProfileSettingIn
struct | _GetProfileSettingOut
struct | TrStatInd
struct | wdsSetEventReportReq
struct | swiPDPRuntimeSettingsReq
struct | swiPDPRuntimeSettingsResp
struct | WdsConnectionRateElmnts
struct | WdsConnectionRate
struct | WdsByteTotalsElmnts
struct | WdsByteTotals
struct | GetInstIDResp
struct | GetSessionIDResp
struct | TransferStatInd
struct | getDUNCallInfoReq
struct | ConnectionStatus
struct | ChannelRate
struct | getDUNCallInfoResp
struct | WdsPktStatisticsElmnts
struct | WdsPktStatisticsResp
struct | WdsPktStatisticsReq
struct | CurrNetworkInfo
struct | CurrDataSysStat
struct | swiRMTrasnferStaticsReq
struct | DataULongTlv
struct | DataULongLongTlv
struct | QmiCbkWdsStatisticsIndState

## Macros
#define | IPV6_ADDRESS_ARRAY_SIZE 8

## Typedefs
typedef struct dataBearerTechnology | QmiWDSDataBearerTechnology
typedef struct dataBearers | QmiWDSDataBearers
typedef union WdsProfileParam | QmiProfileInfo
typedef struct _slqs3GPPConfigItem | slqs3GPPConfigItem
typedef struct _GetProfileSettingIn | GetProfileSettingIn
typedef struct _GetProfileSettingOut | GetProfileSettingOut

## Enumerations
enum | qmiDataBearerMasks { QMI_WDS_CURRENT_CALL_DB_MASK = 0x01, QMI_WDS_LAST_CALL_DB_MASK = 0x02 }

## Functions
ULONG | SetMobileIP (ULONG mode)
ULONG | GetMobileIP (ULONG *pMode)
ULONG | SetMobileIPParameters (CHAR *pSPC, ULONG *pMode, BYTE *pRetryLimit, BYTE *pRetryInterval, BYTE *pReRegPeriod, BYTE *pReRegTraffic, BYTE *pHAAuthenticator, BYTE *pHA2002bis)
ULONG | SetAutoconnect (ULONG setting)
ULONG | GetAutoconnect (ULONG *pSetting)
ULONG | SetDefaultProfile (ULONG profileType, ULONG *pPDPType, ULONG *pIPAddress, ULONG *pPrimaryDNS, ULONG *pSecondaryDNS, ULONG *pAuthentication, CHAR *pName, CHAR *pAPNName, CHAR *pUsername, CHAR *pPassword)
ULONG | SetDefaultProfileLTE (ULONG profileType, ULONG *pPDPType, ULONG *pIPAddressv4, ULONG *pPrimaryDNSv4, ULONG *pSecondaryDNSv4, USHORT *pIPAddressv6, USHORT *PrimaryDNSv6, USHORT *pSecondaryDNSv6, ULONG *pAuthentication, CHAR *pName, CHAR *pAPNName, CHAR *pUsername, CHAR *pPassword)
ULONG | SetDefaultProfileLTEV2 (ULONG profileType, ULONG *pPDPType, ULONG *pIPAddressv4, ULONG *pPrimaryDNSv4, ULONG *pSecondaryDNSv4, USHORT *pIPAddressv6, USHORT *PrimaryDNSv6, USHORT *pSecondaryDNSv6, ULONG *pAuthentication, CHAR *pName, CHAR *pAPNName, CHAR *pUsername, CHAR *pPassword)
ULONG | GetDefaultProfile (ULONG profileType, ULONG *pPDPType, ULONG *pIPAddress, ULONG *pPrimaryDNS, ULONG *pSecondaryDNS, ULONG *pAuthentication, BYTE nameSize, CHAR *pName, BYTE apnSize, CHAR *pAPNName, BYTE userSize, CHAR *pUsername)
ULONG | GetDefaultProfileLTE (ULONG profileType, ULONG *pPDPType, ULONG *pIPAddressv4, ULONG *pPrimaryDNSv4, ULONG *pSecondaryDNSv4, USHORT *pIPAddressv6, USHORT *pPrimaryDNSv6, USHORT *pSecondaryDNSv6, ULONG *pAuthentication, BYTE nameSize, CHAR *pName, BYTE apnSize, CHAR *pAPNName, BYTE userSize, CHAR *pUsername)
ULONG | GetSessionState (ULONG *pState, BYTE instance)
ULONG | GetPacketStatus (ULONG *pTXPacketSuccesses, ULONG *pRXPacketSuccesses, ULONG *pTXPacketErrors, ULONG *pRXPacketErrors, ULONG *pTXPacketOverflows, ULONG *pRXPacketOverflows, BYTE instance)
ULONG | GetByteTotals (ULONGLONG *pTXTotalBytes, ULONGLONG *pRXTotalBytes, BYTE instance)
ULONG | GetDormancyState (ULONG *pDormancyState, BYTE instance)
ULONG | GetDataBearerTechnology (ULONG *pDataBearer, BYTE instance)
ULONG | SLQSGetDataBearerTechnology (QmiWDSDataBearers *pDataBearers, BYTE instance)
ULONG | GetSessionDuration (ULONGLONG *pDuration, BYTE instance)
ULONG | GetIPAddressLTE (WdsIpAddressInfoReq *)
ULONG | GetConnectionRate (ULONG *pCurrentChannelTXRate, ULONG *pCurrentChannelRXRate, ULONG *pMaxChannelTXRate, ULONG *pMaxChannelRXRate, BYTE instance)
ULONG | GetMobileIPProfile (BYTE index, BYTE *pEnabled, ULONG *pAddress, ULONG *pPrimaryHA, ULONG *pSecondaryHA, BYTE *pRevTunneling, BYTE naiSize, CHAR *pNAI, ULONG *pHASPI, ULONG *pAAASPI, ULONG *pHAState, ULONG *pAAAState)
ULONG | GetLastMobileIPError (ULONG *pError)
ULONG | iSLQSMISetIPFamilyPreference (BYTE IPFamilyPreference, BYTE instance)
BOOL | WDS_IsGobiDevice ()
ULONG | SetActiveMobileIPProfile (CHAR *pSPC, BYTE index)
ULONG | GetActiveMobileIPProfile (BYTE *pIndex)
ULONG | SetMobileIPProfile (CHAR *pSPC, BYTE index, BYTE *pEnabled, ULONG *pAddress, ULONG *pPrimaryHA, ULONG *pSecondaryHA, BYTE *pRevTunneling, CHAR *pNAI, ULONG *pHASPI, ULONG *pAAASPI, CHAR *pMNHA, CHAR *pMNAAA)
ULONG | GetMobileIPProfile2 (BYTE index, BYTE *pEnabled, ULONG *pAddress, ULONG *pPrimaryHA, ULONG *pSecondaryHA, BYTE *pRevTunneling, BYTE naiSize, CHAR *pNAI, ULONG *pHASPI, ULONG *pAAASPI, ULONG *pHAState, ULONG *pAAAState)
ULONG | GetMobileIPParameters (ULONG *pMode, BYTE *pRetryLimit, BYTE *pRetryInterval, BYTE *pReRegPeriod, BYTE *pReRegTraffic, BYTE *pHAAuthenticator, BYTE *pHA2002bis)
ULONG | SLQSGetRuntimeSettings (struct WdsRunTimeSettings *pRunTimeSettings)
ULONG | SLQSSetProfile (ULONG profileType, BYTE profileId, ULONG *pPDPType, ULONG *pIPAddress, ULONG *pPrimaryDNS, ULONG *pSecondaryDNS, ULONG *pAuthentication, CHAR *pName, CHAR *pAPNName, CHAR *pUsername, CHAR *pPassword)
ULONG | SLQSGetProfile (ULONG profileType, BYTE profileId, ULONG *pPDPType, ULONG *pIPAddress, ULONG *pPrimaryDNS, ULONG *pSecondaryDNS, ULONG *pAuthentication, BYTE nameSize, CHAR *pName, BYTE apnSize, CHAR *pAPNName, BYTE userSize, CHAR *pUsername, WORD *pExtendedErrorCode)
ULONG | SLQSStartStopDataSession (struct ssdatasession_params *pin)
ULONG | SLQSDeleteProfile (struct SLQSDeleteProfileParams *pProfileToDelete, WORD *pExtendedErrorCode)
ULONG | SLQSCreateProfile (struct CreateProfileIn *pReq, struct CreateProfileOut *pResp)
ULONG | SLQSAutoConnect (struct slqsautoconnect *pacreq)
ULONG | SLQSModifyProfile (struct ModifyProfileIn *pReq, struct ModifyProfileOut *pResp)
ULONG | SLQSSet3GPPConfigItem (slqs3GPPConfigItem *pSLQS3GPPConfigItem)
ULONG | SLQSGet3GPPConfigItem (slqs3GPPConfigItem *pSLQS3GPPConfigItem)
ULONG | SLQSGetProfileSettings (GetProfileSettingIn *pReq, GetProfileSettingOut *pResp)
ULONG | SLQSWdsSetEventReport (wdsSetEventReportReq *pSetEventReportReq)
ULONG | SLQSWdsSwiPDPRuntimeSettings (swiPDPRuntimeSettingsReq *pPDPRuntimeSettingsReq, swiPDPRuntimeSettingsResp *pPDPRuntimeSettingsResp)
ULONG | iGetConnectionRate (ULONG *pv4sessionId, ULONG *pv6sessionId, struct WdsConnectionRateElmnts *pConnectionRateElmnt)
ULONG | SLQSGetConnectionRate (struct WdsConnectionRate *pConnectionRate)
ULONG | iGetByteTotals (ULONG *pv4sessionId, ULONG *pv6sessionId, struct WdsByteTotalsElmnts *pByteTotalsElmnt)
ULONG | SLQSGetByteTotals (struct WdsByteTotals *pByteTotals)
ULONG | SLQSWdsGoDormant (void)
ULONG | SLQSWdsGoActive (void)
ULONG | SLQSGetSessionState (ULONG *pStateV4, ULONG *pStateV6, BYTE instance)
ULONG | SLQSGetDUNCallInfo (getDUNCallInfoReq *pGetDUNCallInfoReq, getDUNCallInfoResp *pGetDUNCallInfoResp)
ULONG | GetPacketStatistics (struct WdsPktStatisticsReq *pStatMask, struct WdsPktStatisticsElmnts *pPktStatisticsElmnt, BYTE instance)
ULONG | iGetPacketStatistics (ULONG *pV4sessionId, ULONG *pV6sessionId, struct WdsPktStatisticsReq *pStatMask, struct WdsPktStatisticsElmnts *pPktStatisticsElmnt)
ULONG | SLQSGetPacketStatistics (struct WdsPktStatisticsReq *pStatMask, struct WdsPktStatisticsResp *pPktStatistics)
ULONG | SLQSGetCurrDataSystemStat (CurrDataSysStat *pCurrDataSysStat)
ULONG | RMSetTransferStatistics (swiRMTrasnferStaticsReq *pSwiRMTrasnferStaticsReq)
ULONG | SLQSResetPacketStatics ()

## Detailed Description

Wireless Data Service API function prototypes.

Copyright: © 2011-2014 Sierra Wireless, Inc. all rights reserved

## Macro Definition Documentation

#define IPV6_ADDRESS_ARRAY_SIZE 8

## Typedef Documentation

typedef struct _GetProfileSettingIn GetProfileSettingIn

This structure contains the input parameters for SLQSGetProfileSettings

Parameters

  ProfileType | Identifies the technology type of the profile 0x00 - 3GPP 0x01 - 3GPP2
  ProfileID | index identifying the profile

typedef struct _GetProfileSettingOut GetProfileSettingOut

This structure contains the profile settings retrieved by the API SLQSGetProfileSettings

Parameters

  curProfile | Structure containing details of the profile See QmiProfileInfo for more details
  pExtErrCode | pointer to a 2 byte extended error code Error code will only will be present if error code eQCWWAN_ERR_QMI_EXTENDED_INTERNAL is returned by device. See qm_wds_ds_profile_extended_err_codes enum in qmerrno.h for received error description.

typedef union WdsProfileParam QmiProfileInfo

This union WdsProfileParam consist of Profile3GPP and Profile3GPP2 out of which one will be used to create profile.

typedef struct dataBearers QmiWDSDataBearers

Structure to hold the data bearer technology values

Parameters

  dataBearerMask[OUT] | This bit mask indicates if data bearer information for the current and/or last call has been received from the device. If a bit is set, then the information is available in the corresponding structure i.e. the one provided by the caller. Refer to qmiDataBearerMasks for bit-mask positions.
  pCurDataBearerTechnology[OUT] | current data bearer technology value. NULL if the parameter is not required
  pLastCallDataBearerTechnology[OUT] | last call data bearer technology value. NULL if the parameter is not required

typedef struct dataBearerTechnology QmiWDSDataBearerTechnology

Structure to hold the current data bearer technology values

Parameters

  pCurrentNetwork[OUT] | current selected network 0 - UNKNOWN 1 - 3GPP2 2 - 3GPP
  pRatMask[OUT] | Radio Access Technology (RAT) mask to indicate the type of technology (RAT mask value of zero indicates that this field is ignored) 0x8000 - NULL Bearer 0x0000 - DO_NOT_CARE CDMA RAT mask 0x01 - CDMA_1X 0x02 - EVDO_REV0 0x04 - EVDO_REVA UMTS RAT mask 0x01 - WCDMA 0x02 - GPRS 0x04 - HSDPA 0x08 - HSUPA 0x10 - EDGE 0x20 - LTE 0x40 - HSDPA+ 0x80 - DC_HSDPA+
  pSoMask[OUT] | Service Option (SO) mask to indicate the SO or type of application (SO mask value of zero indicates that this field is ignored) 0x00 - DO_NOT_CARE CDMA 1X SO mask 0x01 - CDMA_1X_IS95 0x02 - CDMA_1X_IS2000 0x04 - CDMA_1X_IS2000_REL_A CDMA EV-DO Rev A SO mask 0x01 - EVDO_REVA_DPA 0x02 - EVDO_REVA_MFPA 0x04 - EVDO_REVA_EMPA 0x08 - EVDO_REVA_EMPA_EHRPD

typedef struct _slqs3GPPConfigItem slqs3GPPConfigItem

This structure contains the 3gpp Configuration Item information.

Parameters

  pLTEAttachProfile | LTE Attach Profile points to a single WORD Value indicating the attached LTE Profile Optional parameter with possible values 1-16 function SLQSGet3GPPConfigItem() returns a default value 255 if no LTE Attach Profile is configured
  pProfileList | Profile List an array of 5 profile configurations Each element points to a single WORD value indicating profile Optional parameter with possible values pProfileList[0] - 1 - 16 pProfileList[1] - 1 - 16 pProfileList[2] - 1 - 16 pProfileList[3] - 1 - 16 pProfileList[4] - 1 - 16 function SLQSGet3GPPConfigItem() returns a default value 255 if no 3gpp configuration is present
  pDefaultPDNEnabled | Always Connect Default PDN A single BYTE value indicating the status of Always connect default PDN 0 - disabled 1 - enabled Optional parameter function SLQSGet3GPPConfigItem() returns a default value 255 if no 3gpp configuration is present
  p3gppRelease | 3gpp release A single BYTE value indicating the 3gpp release 0 - Release 99 1 - Release 5 2 - Release 6 3 - Release 7 4 - Release 8 Optional parameter function SLQSGet3GPPConfigItem() returns a default value 255 if no 3gpp configuration is present

## Enumeration Type Documentation

enum qmiDataBearerMasks

Bit mask values to indicate the presence of data bearer information for the current and last data calls

Enumerator
QMI_WDS_CURRENT_CALL_DB_MASK |
QMI_WDS_LAST_CALL_DB_MASK |

## Function Documentation

ULONG GetActiveMobileIPProfile | ( | BYTE * | pIndex | ) |

Gets the Active mobile IP profile

Parameters

  pIndex[OUT] | Index of active profile

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 2 seconds

ULONG GetAutoconnect | ( | ULONG * | pSetting | ) |

Returns the current autoconnect data session setting.

Parameters

  pSetting[OUT] | NDIS autoconnect setting 0 - Disabled 1 - Enabled

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetByteTotals | ( | ULONGLONG * | pTXTotalBytes,
|  | ULONGLONG * | pRXTotalBytes,
|  | BYTE | instance
| ) |  |

Returns the Rx/Tx byte counts since the start of the last packet data session.

Parameters

  pTXTotalBytes[OUT] | Bytes transmitted without error
  pRXTotalBytes[OUT] | Bytes received without error
  instance | PDP instance

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetConnectionRate | ( | ULONG * | pCurrentChannelTXRate,
|  | ULONG * | pCurrentChannelRXRate,
|  | ULONG * | pMaxChannelTXRate,
|  | ULONG * | pMaxChannelRXRate,
|  | BYTE | instance
| ) |  |

Returns connection rate information for the packet data connection

Parameters

  pCurrentChannelTXRate[OUT] | Current channel Tx rate (in bps)
  pCurrentChannelRXRate[OUT] | Current channel Rx rate (in bps)
  pMaxChannelTXRate[OUT] | Maximum Tx rate (bps) that may be assigned to device by serving system.
  pMaxChannelRXRate[OUT] | Maximum Rx rate (bps) that may be assigned to device by serving system.
  instance | PDP instance

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetDataBearerTechnology | ( | ULONG * | pDataBearer,
|  | BYTE | instance
| ) |  |

Retrieves the current data bearer technology (only valid when connected)

Parameters

  pDataBearer[OUT] | Data bearer technology 0x01 - CDMA2000 1x 0x02 - CDMA 1xEV-DO Rev 0 0x03 - GSM 0x04 - UMTS 0x05 - CDMA2000 HRPD (1xEV-DO Rev A) 0x06 - EDGE 0x07 - HSDPA AND WCDMA 0x08 - WCDMA AND HSUPA 0x09 - HSDPA AND HSUPA 0x0A - LTE 0x0B - CDMA2000 EHRPD 0x0C - HSDPA+ and WCDMA 0x0D - HSDPA+ and HSUPA 0x0E - DC_HSDPA+ and WCDMA 0x0F - DC_HSDPA+ and HSUPA 0x10 - HSDPA+ and 64QAM 0x11 - HSDPA+, 64QAM and HSUPA 0x12 - TDSCDMA 0x13 - TDSCDMA and HSDPA 0xFF - Unknown
  instance | PDP instance

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetDefaultProfile | ( | ULONG | profileType,
|  | ULONG * | pPDPType,
|  | ULONG * | pIPAddress,
|  | ULONG * | pPrimaryDNS,
|  | ULONG * | pSecondaryDNS,
|  | ULONG * | pAuthentication,
|  | BYTE | nameSize,
|  | CHAR * | pName,
|  | BYTE | apnSize,
|  | CHAR * | pAPNName,
|  | BYTE | userSize,
|  | CHAR * | pUsername
| ) |  |

Reads the default profile settings from the device. The default profile is used to establish an autoconnect data session.

Parameters

  profileType | Type of profile 0 - UMTS
  pPDPType[OUT] | Packet Data Protocol (PDP) type specifies the type of data payload exchanged over the air link when the packet data session is established with this profile 0 - PDP-IP (IPv4)
  pIPAddress[OUT] | Preferred IPv4 addr to be assigned to device
  pPrimaryDNS[OUT] | Primary DNS Ipv4 address preference
  pSecondaryDNS[OUT] | Secondary DNS Ipv4 address preference
  pAuthentication[OUT] | Bitmap that indicates authentication algorithm preference 0x00000001 - PAP preference 0 - Never performed 1 - May be performed 0x00000002 - CHAP preference 0 - Never performed 1 - May be performed All other bits are reserved and must be set to 0 If more than 1 bit is set, then device decides which authentication procedure is performed while setting up data session e.g. the device may have a policy to select the most secure authentication mechanism.
  nameSize | Maximum number of characters (including NULL terminator) that profile name array can contain.
  pName[OUT] | Profile name
  apnSize | Maximum number of characters (including NULL terminator) that APN name array can contain
  pAPNName[OUT] | Access point name. NULL-terminated string parameter that is a logical name used to select GGSN and external packet data network. If value is NULL or omitted, then subscription default value will be requested.
  userSize | Maximum number of characters (including NULL terminator) that username array can contain.
  pUsername[OUT] | Username used during network authentication

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetDefaultProfileLTE | ( | ULONG | profileType,
|  | ULONG * | pPDPType,
|  | ULONG * | pIPAddressv4,
|  | ULONG * | pPrimaryDNSv4,
|  | ULONG * | pSecondaryDNSv4,
|  | USHORT * | pIPAddressv6,
|  | USHORT * | pPrimaryDNSv6,
|  | USHORT * | pSecondaryDNSv6,
|  | ULONG * | pAuthentication,
|  | BYTE | nameSize,
|  | CHAR * | pName,
|  | BYTE | apnSize,
|  | CHAR * | pAPNName,
|  | BYTE | userSize,
|  | CHAR * | pUsername
| ) |  |

Reads the default profile settings from the device. The default profile is used to establish an autoconnect data session.

Parameters

  profileType | Type of profile 0 - UMTS
  pPDPType[OUT] | Packet Data Protocol (PDP) type specifies the type of data payload exchanged over the air link when the packet data session is established with this profile 0 - PDP-IP (IPv4)
  pIPAddressv4[OUT] | Preferred IPv4 addr to be assigned to device
  pPrimaryDNSv4[OUT] | Primary DNS Ipv4 address preference
  pSecondaryDNSv4[OUT] | Secondary DNS Ipv4 address preference
  pIPAddressv6[OUT] | Preferred IPv6 addr to be assigned to device Space for storing 8 element array for the IPv6 addresses is allocated by the application. The IP Address will be retrieved in the big endian format. For example User buffer contents: [<U0>..<U7>] IPv6 address: 1234:2A01:....:5678 U0 corresponds to 1234 U1 corresponds to 2A01 – --------— – -— – --------— – -— U7 corresponds to 5678
  pPrimaryDNSv6[OUT] | Primary DNS Ipv6 address preference
  pSecondaryDNSv6[OUT] | Secondary DNS Ipv6 address preference
  pAuthentication[OUT] | Bitmap that indicates authentication algorithm preference 0x00000001 - PAP preference 0 - Never performed 1 - May be performed 0x00000002 - CHAP preference 0 - Never performed 1 - May be performed All other bits are reserved and must be set to 0 If more than 1 bit is set, then device decides which authentication procedure is performed while setting up data session e.g. the device may have a policy to select the most secure authentication mechanism.
  nameSize | Maximum number of characters (including NULL terminator) that Profile name array can contain
  pName[OUT] | Profile name
  apnSize | Maximum number of characters (including NULL terminator) that APN name array can contain
  pAPNName[IN] | Access point name. NULL-terminated string parameter that is a logical name used to select GGSN and external packet data network. If value is NULL or omitted, then subscription default value will be requested.
  userSize | Maximum number of characters including NULL terminator) that username array can contain.
  pUsername[OUT] | Username used during network authentication

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: LTE
  Timeout: 2 seconds

ULONG GetDormancyState | ( | ULONG * | pDormancyState,
|  | BYTE | instance
| ) |  |

Returns the dormancy state of the current packet data session when connected.

Parameters

  pDormancyState[OUT] | Dormancy state of current packet data session 1 - Traffic channel dormant 2 - Traffic channel active
  instance | PDP instance

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetIPAddressLTE | ( | WdsIpAddressInfoReq * |  | ) |

Returns the current packet data session IP address(es)

- Parameter values default to their data type's maximum unsigned value unless explicitly stated otherwise.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: LTE
  Timeout: 2 seconds.

ULONG GetLastMobileIPError | ( | ULONG * | pError | ) |

Returns the last mobile IP error.

Parameters

  pError[OUT] | Status of last MIP call (or attempt) Zero - Success NonZero - Error code See qaGobiApiTableCallEndReasons.h for Mobile IP Error codes

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Device Supported: MC83x5
  Timeout: 2 seconds

ULONG GetMobileIP | ( | ULONG * | pMode | ) |

Returns the current mobile IP setting.

Parameters

  mode[OUT] | Mobile IP setting 0 - Mobile IP off (simple IP only) 1 - Mobile IP preferred 2 - Mobile IP only

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 2 seconds

ULONG GetMobileIPParameters | ( | ULONG * | pMode,
|  | BYTE * | pRetryLimit,
|  | BYTE * | pRetryInterval,
|  | BYTE * | pReRegPeriod,
|  | BYTE * | pReRegTraffic,
|  | BYTE * | pHAAuthenticator,
|  | BYTE * | pHA2002bis
| ) |  |

Gets the mobile IP parameters.

Parameters

  pMode[OUT] | Current mode 0 - MIP Off (Simple IP only) 1 - MIP Preferred 2 - MIP Only 0xFFFFFFFF - Unknown
  pRetryLimit[OUT] | Registration retry attempt limit 0xFF - Unknown
  pRetryInterval[OUT] | Registration retry attempt interval 0xFF - Unknown
  pReRegPeriod[OUT] | Period to attempt re-registration before current registration expires 0xFF - Unknown
  pReRegTraffic[OUT] | Re-registration only if traffic since the last attempt 0 - Disabled 1 - Enabled 0xFF - Unknown
  pHAAuthenticator[OUT] | MH-HA authenticator calculator 0 - Disabled 1 - Enabled 0xFF - Unknown
  pHA2002bis[OUT] | MH-HA RFC 2002bis authentication 0 - Disabled 1 - Enabled 0xFF - Unknown

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 2 seconds

ULONG GetMobileIPProfile | ( | BYTE | index,
|  | BYTE * | pEnabled,
|  | ULONG * | pAddress,
|  | ULONG * | pPrimaryHA,
|  | ULONG * | pSecondaryHA,
|  | BYTE * | pRevTunneling,
|  | BYTE | naiSize,
|  | CHAR * | pNAI,
|  | ULONG * | pHASPI,
|  | ULONG * | pAAASPI,
|  | ULONG * | pHAState,
|  | ULONG * | pAAAState
| ) |  |

Returns the specified mobile IP profile settings.

Parameters

  index | Mobile IP profile ID
  pEnabled[OUT] | Profile enabled: 0 - Disabled 1 - Enabled 0xFF - Unknown
  pAddress[OUT] | Home IPv4 address: 0xFFFFFFFF - Unknown
  pPrimaryHA[OUT] | Primary home agent IPv4 address 0xFFFFFFFF - Unknown
  pSecondaryHA[OUT] | Secondary home agent IPv4 address 0xFFFFFFFF - Unknown
  pRevTunneling[OUT] | Reverse tunneling enabled 0 - Disabled 1 - Enabled 0xFF - Unknown
  naiSize | The maximum number of characters (including NULL terminator) that the NAI array can contain.
  pNAI[OUT] | Network access identifier string
  pHASPI[OUT] | Home agent security parameter index
  pAAASPI[OUT] | AAA server security parameter index 0xFFFFFFFF - Unknown
  pHAState[OUT] | Home agent key state 0 - Unset 1 - Set, default value 2 - Set, modified from default 3 - 0xFFFFFFFF - Unknown
  pAAAState[OUT] | AAA key state 0 - Unset 1 - Set, default value 2 - Set, modified from default 3 - 0xFFFFFFFF - Unknown

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 2 seconds

ULONG GetMobileIPProfile2 | ( | BYTE | index,
|  | BYTE * | pEnabled,
|  | ULONG * | pAddress,
|  | ULONG * | pPrimaryHA,
|  | ULONG * | pSecondaryHA,
|  | BYTE * | pRevTunneling,
|  | BYTE | naiSize,
|  | CHAR * | pNAI,
|  | ULONG * | pHASPI,
|  | ULONG * | pAAASPI,
|  | ULONG * | pHAState,
|  | ULONG * | pAAAState
| ) |  |

Gets the Mobile IP parameters.

Parameters

  index[IN] | Index of profile
  pEnabled[OUT] | Profile enabled? 0 - Disabled 1 - Enabled 0xFF - Unknown
  pAddress[OUT] | Home IPv4 address 0xFFFFFFFF - Unknown
  pPrimaryHA[OUT] | Primary home agent IPv4 address 0xFFFFFFFF - Unknown
  pSecondaryHA[OUT] | Secondary home agent IPv4 address 0xFFFFFFFF - Unknown
  pRevTunneling[OUT] | Reverse tunneling enabled? 0 - Disabled 1 - Enabled 0xFF - Unknown
  naiSize[IN] | The maximum number of characters (including NULL terminator) that the NAI array can contain
  pNAI[OUT] | Network access identifier string
  pHASPI[OUT] | Home agent security parameter index 0xFFFFFFFF - Unknown
  pAAASPI[OUT] | AAA server security parameter index 0xFFFFFFFF - Unknown
  pHAState[OUT] | Home agent key state 0 - Unset 1 - Set, default value 2 - Set, modified from default 0xFFFFFFFF - Unknown
  pAAAState[OUT] | AAA key state 0 - Unset 1 - Set, default value 2 - Set, modified from default 0xFFFFFFFF - Unknown

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 2 seconds

ULONG GetPacketStatistics | ( | struct WdsPktStatisticsReq * | pStatMask,
|  | struct WdsPktStatisticsElmnts * | pPktStatisticsElmnt,
|  | BYTE | instance
| ) |  |

Returns the current packet transfer counter values from the device. since the start of the last packet data session.

Parameters

  pStatMask[IN] | See WdsPktStatisticsReq for more information
  pPktStatisticsElmnt[OUT] | See WdsPktStatisticsElmnts for more information
  instance | PDP instance

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG GetPacketStatus | ( | ULONG * | pTXPacketSuccesses,
|  | ULONG * | pRXPacketSuccesses,
|  | ULONG * | pTXPacketErrors,
|  | ULONG * | pRXPacketErrors,
|  | ULONG * | pTXPacketOverflows,
|  | ULONG * | pRXPacketOverflows,
|  | BYTE | instance
| ) |  |

Returns the packet data transfer statistics since the start of the current packet data.

Parameters

  pTXPacketSuccesses[OUT] | No. of packets transmitted without error
  pRXPacketSuccesses[OUT] | No. of packets received without error
  pTXPacketErrors[OUT] | No. of outgoing packets with framing errors
  pRXPacketErrors[OUT] | No. of incoming packets with framing errors
  pTXPacketOverflows[OUT] | Number of packets dropped because Tx buffer overflowed
  pRXPacketOverflows[OUT] | Number of packets dropped because Rx buffer overflowed
  instance | PDP instance

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetSessionDuration | ( | ULONGLONG * | pDuration,
|  | BYTE | instance
| ) |  |

Returns the duration of the current packet data session.

Parameters

  pDuration[OUT] | Duration of the current packet session in milliseconds
  instance | PDP instance

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS/CDMA
  Device Supported: MC83x5, MC7700/50
  Timeout: 2 seconds

ULONG GetSessionState | ( | ULONG * | pState,
|  | BYTE | instance
| ) |  |

Returns the state of the current packet data session.

Parameters

  pState[OUT] | Current link status 1 - DISCONNECTED 2 - CONNECTED 3 - SUSPENDED (not supported) 4 - AUTHENTICATING
  instance | PDP instance

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG iGetByteTotals | ( | ULONG * | pv4sessionId,
|  | ULONG * | pv6sessionId,
|  | struct WdsByteTotalsElmnts * | pByteTotalsElmnt
| ) |  |

ULONG iGetConnectionRate | ( | ULONG * | pv4sessionId,
|  | ULONG * | pv6sessionId,
|  | struct WdsConnectionRateElmnts * | pConnectionRateElmnt
| ) |  |

ULONG iGetPacketStatistics | ( | ULONG * | pV4sessionId,
|  | ULONG * | pV6sessionId,
|  | struct WdsPktStatisticsReq * | pStatMask,
|  | struct WdsPktStatisticsElmnts * | pPktStatisticsElmnt
| ) |  |

ULONG iSLQSMISetIPFamilyPreference | ( | BYTE | IPFamilyPreference,
|  | BYTE | instance
| ) |  |

ULONG RMSetTransferStatistics | ( | swiRMTrasnferStaticsReq * | pSwiRMTrasnferStaticsReq | ) |

This API request the device to fetch current data system transfer Statistics.

Parameters

  pswiRMTrasnferStaticsReq[IN/OUT] | See swiRMTrasnferStaticsReq for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

          Timeout: 2 seconds\n

ULONG SetActiveMobileIPProfile | ( | CHAR * | pSPC,
|  | BYTE | index
| ) |  |

Sets active mobile IP profile.

Parameters

  pSPC[IN] | NULL-terminated string representing six digit service programming code
  index[IN] | Index of the profile to be set as the active profile

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 2 seconds

ULONG SetAutoconnect | ( | ULONG | setting | ) |

Sets the autoconnect data session setting.

Parameters

  setting | NDIS autoconnect setting 0 - Disabled 1 - Enabled

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  When enabling, timeout is 5 minutes,
  When disabling, timeout is 5 seconds

ULONG SetDefaultProfile | ( | ULONG | profileType,
|  | ULONG * | pPDPType,
|  | ULONG * | pIPAddress,
|  | ULONG * | pPrimaryDNS,
|  | ULONG * | pSecondaryDNS,
|  | ULONG * | pAuthentication,
|  | CHAR * | pName,
|  | CHAR * | pAPNName,
|  | CHAR * | pUsername,
|  | CHAR * | pPassword
| ) |  |

Writes the default profile settings to the device. The default profile is used to establish an autoconnect data session.

Parameters

  profileType | Type of profile 0 - UMTS
  pPDPType[IN] | Packet Data Protocol (PDP) type specifies the type of data payload exchanged over the air link when the packet data session is established with this profile (optional) 0 - PDP-IP (IPv4)
  pIPAddress[IN] | Preferred IPv4 addr to be assigned to device (optional)
  pPrimaryDNS[IN] | Primary DNS Ipv4 address preference (optional)
  pSecondaryDNS[IN] | Secondary DNS Ipv4 address preference (optional)
  pAuthentication[IN] | Bitmap that indicates authentication algorithm preference (optional) 0x00000001 - PAP preference 0 - Never performed 1 - May be performed 0x00000002 - CHAP preference 0 - Never performed 1 - May be performed All other bits are reserved and must be set to 0 If more than 1 bit is set, then device decides which authentication procedure is performed while setting up data session e.g. the device may have a policy to select the most secure authentication mechanism.
  pName[IN] | profile Name (optional)
  pAPNName[IN] | Access point name. NULL-terminated string parameter that is a logical name used to select GGSN and external packet data network (optional) If value is NULL or omitted, then subscription default value will be requested.
  pUsername[IN] | Username used during network authentication (optional)
  pPassword[IN] | Password used during network authentication (optional)

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout is 2 seconds.

ULONG SetDefaultProfileLTE | ( | ULONG | profileType,
|  | ULONG * | pPDPType,
|  | ULONG * | pIPAddressv4,
|  | ULONG * | pPrimaryDNSv4,
|  | ULONG * | pSecondaryDNSv4,
|  | USHORT * | pIPAddressv6,
|  | USHORT * | PrimaryDNSv6,
|  | USHORT * | pSecondaryDNSv6,
|  | ULONG * | pAuthentication,
|  | CHAR * | pName,
|  | CHAR * | pAPNName,
|  | CHAR * | pUsername,
|  | CHAR * | pPassword
| ) |  |

Writes the default profile settings to the device. The default profile is used to establish an auto connect data session.

Parameters

  profileType | Type of profile 0 - UMTS
  pPDPType[IN] | Packet Data Protocol (PDP) type specifies the type of data payload exchanged over the air link when the packet data session is established with this profile (optional) 0 - PDP-IP (IPv4)
  pIPAddressv4[IN] | Preferred IPv4 addr to be assigned to device (optional)
  pPrimaryDNSv4[IN] | Primary DNS Ipv4 address preference (optional)
  pSecondaryDNSv4[IN] | Secondary DNS Ipv4 address preference (optional)
  pIPAddressv6[IN] | Preferred IPv6 addr to be assigned to device (optional)
  pPrimaryDNSv6[IN] | Primary DNS Ipv6 address preference (optional)
  pSecondaryDNSv6[IN] | Secondary DNS Ipv6 address preference (optional)
  pAuthentication[IN] | Bitmap that indicates authentication algorithm preference (optional) 0x00000001 - PAP preference 0 - Never performed 1 - May be performed 0x00000002 - CHAP preference 0 - Never performed 1 - May be performed All other bits are reserved and must be set to 0 If more than 1 bit is set, then device decides which authentication procedure is performed while setting up data session e.g.the device may have a policy to select the most secure authentication mechanism.
  pName[IN] | profile Name (optional)
  pAPNName[IN] | Access point name. NULL-terminated string parameter that is a logical name used to select GGSN and external packet data network (optional) If value is NULL or omitted, then subscription default value will be requested
  pUsername[IN] | Username used during network authentication (optional)
  pPassword[IN] | Password used during network authentication (optional)

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Deprecated, please use SetDefaultProfileLTEV2 instead
  Technology Supported: LTE
  Timeout: 2 seconds

ULONG SetDefaultProfileLTEV2 | ( | ULONG | profileType,
|  | ULONG * | pPDPType,
|  | ULONG * | pIPAddressv4,
|  | ULONG * | pPrimaryDNSv4,
|  | ULONG * | pSecondaryDNSv4,
|  | USHORT * | pIPAddressv6,
|  | USHORT * | PrimaryDNSv6,
|  | USHORT * | pSecondaryDNSv6,
|  | ULONG * | pAuthentication,
|  | CHAR * | pName,
|  | CHAR * | pAPNName,
|  | CHAR * | pUsername,
|  | CHAR * | pPassword
| ) |  |

Writes the default profile settings to the device. The default profile is used to establish an auto connect data session.

Parameters

  profileType | Type of profile 0 - UMTS
  pPDPType[IN] | Packet Data Protocol (PDP) type specifies the type of data payload exchanged over the air link when the packet data session is established with this profile (optional) 0 - PDP-IP (IPv4)
  pIPAddressv4[IN] | Preferred IPv4 addr to be assigned to device (optional)
  pPrimaryDNSv4[IN] | Primary DNS Ipv4 address preference (optional)
  pSecondaryDNSv4[IN] | Secondary DNS Ipv4 address preference (optional)
  pIPAddressv6[IN] | Preferred IPv6 addr to be assigned to device (optional)
  pPrimaryDNSv6[IN] | Primary DNS Ipv6 address preference (optional)
  pSecondaryDNSv6[IN] | Secondary DNS Ipv6 address preference (optional)
  pAuthentication[IN] | Bitmap that indicates authentication algorithm preference (optional) 0x00000001 - PAP preference 0 - Never performed 1 - May be performed 0x00000002 - CHAP preference 0 - Never performed 1 - May be performed All other bits are reserved and must be set to 0 If more than 1 bit is set, then device decides which authentication procedure is performed while setting up data session e.g.the device may have a policy to select the most secure authentication mechanism.
  pName[IN] | profile Name (optional)
  pAPNName[IN] | Access point name. NULL-terminated string parameter that is a logical name used to select GGSN and external packet data network (optional) If value is NULL or omitted, then subscription default value will be requested
  pUsername[IN] | Username used during network authentication (optional)
  pPassword[IN] | Password used during network authentication (optional)

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: LTE
  Timeout: 2 seconds
  Replaces deprecated Function SetDefaultProfileLTE

ULONG SetMobileIP | ( | ULONG | mode | ) |

Sets the current mobile IP setting.

Parameters

  mode | Mobile IP setting 0 - Mobile IP off (simple IP only) 1 - Mobile IP preferred 2 - Mobile IP only

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 2 seconds

ULONG SetMobileIPParameters | ( | CHAR * | pSPC,
|  | ULONG * | pMode,
|  | BYTE * | pRetryLimit,
|  | BYTE * | pRetryInterval,
|  | BYTE * | pReRegPeriod,
|  | BYTE * | pReRegTraffic,
|  | BYTE * | pHAAuthenticator,
|  | BYTE * | pHA2002bis
| ) |  |

Sets the specified mobile IP parameters.

Parameters

  pSPC[IN] | NULL-terminated string representing six digit service programming code.
  pMode[IN] | Mode to be set (optional) 0 - Mobile IP off (simple IP only) 1 - Mobile IP preferred 2 - Mobile IP only
  pRetryLimit[IN] | Registration retry attempt limit (optional)
  pRetryInterval[IN] | Registration retry attempt interval used to determine the time between registration attempts (optional)
  pReRegPeriod[IN] | Period (in minutes) to attempt re-registration before current registration expires (optional)
  pReRegTraffic[IN] | Re-registration only if traffic since last attempt (optional) Zero - Disabled NonZero - Enabled
  pHAAuthenticator[IN] | MH-HA authenticator calculator (optional) Zero - Disabled NonZero - Enabled
  pHA2002bis[IN] | MH-HA RFC 2002bis authentication instead of RFC2002 (optional) Zero - Disabled NonZero - Enabled

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Device Supported: None
  Timeout: 2 seconds

ULONG SetMobileIPProfile | ( | CHAR * | pSPC,
|  | BYTE | index,
|  | BYTE * | pEnabled,
|  | ULONG * | pAddress,
|  | ULONG * | pPrimaryHA,
|  | ULONG * | pSecondaryHA,
|  | BYTE * | pRevTunneling,
|  | CHAR * | pNAI,
|  | ULONG * | pHASPI,
|  | ULONG * | pAAASPI,
|  | CHAR * | pMNHA,
|  | CHAR * | pMNAAA
| ) |  |

Sets the mobile IP parameters.

Parameters

  pSPC[IN] | Six digit service programming code string
  index[IN] | Index of the profile to modify
  pEnabled[IN] | (Optional) Enable profile? 0 - Disabled Nonzero - Enabled
  pAddress[IN] | (Optional) Home IPv4 address
  pPrimaryHA[IN] | (Optional) Primary home agent IPv4 address
  pSecondaryHA[IN] | (Optional) Secondary home agent IPv4 address
  pRevTunneling[IN] | (Optional) Enable reverse tunneling? 0 - Disabled Nonzero - Enabled
  pNAI[IN] | (Optional) Network access identifier string
  pHASPI[IN] | (Optional) Home agent security parameter index
  pAAASPI[IN] | (Optional) AAA server security parameter index
  pMNHA[IN] | (Optional) MN-HA key string
  pMNAAA[IN] | (Optional) MN-AAA key string

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 2 seconds

ULONG SLQSAutoConnect | ( | struct slqsautoconnect * | pacreq | ) |

Returns autoconnect settings

Parameters

  slqsautoconnect | SLQS autoconnect settings

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA/UMTS
  Device Supported: MC83x5, MC7700
  Timeout: 2 seconds

ULONG SLQSCreateProfile | ( | struct CreateProfileIn * | pReq,
|  | struct CreateProfileOut * | pResp
| ) |  |

Create a new profile with the specified parameters. Note that some firmware versions do not support the optional Profile ID parameter. In this case an error will be returned and the caller can subsequently create a profile by specifying a NULL pointer for the Profile ID parameter.The Profile ID pertaining to the newly created profile is returned in the response structure (pResp).

Parameters

  pReq[IN] | SLQS Create profile Information
  pResp[OUT] | SLQS profile identifier information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Device Supported: MC83x5, MC7700
  Timeout: 2 seconds

ULONG SLQSDeleteProfile | ( | struct SLQSDeleteProfileParams * | pProfileToDelete,
|  | WORD * | pExtendedErrorCode
| ) |  |

Deletes a configured profile stored on the device. The deletion of a profile does not affect profile index assignments.

Parameters

  pProfileToDelete | Information about the profile to be deleted. See SLQSDeleteProfileParams for more details.
  pExtendedErrorCode | The extended error code received from DS Profile subsystem of type eWDS_ERR_PROFILE_REG_xxx. Error code will only will be present if error code eQCWWAN_ERR_QMI_EXTENDED_INTERNAL is returned by device. See qm_wds_ds_profile_extended_err_codes enum in qmerrno.h for received error description.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values.

Note
  Timeout: 2 seconds

ULONG SLQSGet3GPPConfigItem | ( | slqs3GPPConfigItem * | pSLQS3GPPConfigItem | ) |

Reads the 3gpp configuration item.

Parameters

  pSLQS3GPPConfigItem[OUT] | See slqs3GPPConfigItem for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS/LTE
  Timeout: 2 seconds

ULONG SLQSGetByteTotals | ( | struct WdsByteTotals * | pByteTotals | ) |

This API request the device to fetch ByteTotals.

Parameters

  pByteTotals[IN/OUT] | See WdsByteTotals for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

          Timeout: 2 seconds\n

ULONG SLQSGetConnectionRate | ( | struct WdsConnectionRate * | pConnectionRate | ) |

This API request the device to fetch ConnectionRate.

Parameters

  pConnectionRate[IN/OUT] | See WdsConnectionRate for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS/CDMA
  Device Supported: MC77XX
  Timeout: 2 seconds

ULONG SLQSGetCurrDataSystemStat | ( | CurrDataSysStat * | pCurrDataSysStat | ) |

This API request the device to fetch current data system status.

Parameters

  pCurrDataSysStat[IN/OUT] | See CurrDataSysStat for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

          Timeout: 5 seconds\n

ULONG SLQSGetDataBearerTechnology | ( | QmiWDSDataBearers * | pDataBearers,
|  | BYTE | instance
| ) |  |

Retrieves the data bearer technology values for current and/or last data calls. The device must be in a data call for this function to execute successfully.

Parameters

  qmiWDSDataBearers[OUT] | Indicates the currrent and the last call data bearer technology. Should not be NULL, on input.
  instance | PDP instance

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS/CDMA
  Device Supported: MC7750,GOBI,MC7700
  Timeout: 2 seconds

ULONG SLQSGetDUNCallInfo | ( | getDUNCallInfoReq * | pGetDUNCallInfoReq,
|  | getDUNCallInfoResp * | pGetDUNCallInfoResp
| ) |  |

This API queries the current modem connection status.

Parameters

  pGetDUNCallInfoReq[IN] | See getDUNCallInfoReq for more information
  pGetDUNCallInfoResp[OUT] | See getDUNCallInfoResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSGetPacketStatistics | ( | struct WdsPktStatisticsReq * | pStatMask,
|  | struct WdsPktStatisticsResp * | pPktStatistics
| ) |  |

This API request the device to fetch current packet transfer counter values from the device

- Parameters

    pStatMask[IN] | See WdsPktStatisticsReq for more information
    pPktStatistics[OUT] | See WdsPktStatisticsResp for more information

  Returns
    eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise
  See Also
    see qmerrno.h for eQCWWAN_xxx error values

            Timeout: 5 seconds\n

ULONG SLQSGetProfile | ( | ULONG | profileType,
|  | BYTE | profileId,
|  | ULONG * | pPDPType,
|  | ULONG * | pIPAddress,
|  | ULONG * | pPrimaryDNS,
|  | ULONG * | pSecondaryDNS,
|  | ULONG * | pAuthentication,
|  | BYTE | nameSize,
|  | CHAR * | pName,
|  | BYTE | apnSize,
|  | CHAR * | pAPNName,
|  | BYTE | userSize,
|  | CHAR * | pUsername,
|  | WORD * | pExtendedErrorCode
| ) |  |

Reads the profile settings from the device for the specified profile id.

Parameters

  profileType | Type of profile 0 - UMTS
  profileId | Index of the configured profile for which settings are read Value between 1 - 16
  pPDPType[OUT] | Packet Data Protocol (PDP) type specifies the type of data payload exchanged over the air link when the packet data session is established with this profile 0 - PDP-IP (IPv4)
  pIPAddress[OUT] | Preferred IPv4 addr to be assigned to device
  pPrimaryDNS[OUT] | Primary DNS Ipv4 address preference
  pSecondaryDNS[OUT] | Secondary DNS Ipv4 address preference
  pAuthentication[OUT] | Bitmap that indicates authentication algorithm preference 0x00000001 - PAP preference 0 - Never performed 1 - May be performed 0x00000002 - CHAP preference 0 - Never performed 1 - May be performed All other bits are reserved and must be set to 0 If more than 1 bit is set, then device decides which authentication procedure is performed while setting up data session e.g. the device may have a policy to select the most secure authentication mechanism.
  nameSize | Maximum number of characters (including NULL terminator) that profile name array can contain.
  pName[OUT] | Profile name
  apnSize | Maximum number of characters (including NULL terminator) that APN name array can contain
  pAPNName[OUT] | Access point name. NULL-terminated string parameter that is a logical name used to select GGSN and external packet data network. If value is NULL or omitted, then subscription default value will be requested.
  userSize | Maximum number of characters (including NULL terminator) that username array can contain.
  pUsername[OUT] | Username used during network authentication
  pExtendedErrorCode | The extended error code received from DS Profile subsystem of type eWDS_ERR_PROFILE_REG_xxx. Error code will only will be present if error code eQCWWAN_ERR_QMI_EXTENDED_INTERNAL is returned by device. See qm_wds_ds_profile_extended_err_codes enum in qmerrno.h for received error description.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG SLQSGetProfileSettings | ( | GetProfileSettingIn * | pReq,
|  | GetProfileSettingOut * | pResp
| ) |  |

Retrieves a profile(3GPP/3GPP2) with the specified parameters.

Parameters

  pReq[IN] | details of the profile to be fetched See GetProfileSettingIn for more information
  pResp[OUT] | The profile settings and/or extended error code returned by the device based on input parameters. See GetProfileSettingOut for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG SLQSGetRuntimeSettings | ( | struct WdsRunTimeSettings * | pRunTimeSettings | ) |

Returns the packet data session settings currently in use.

Parameters

  pRunTimeSettings[OUT] | SLQS Runtime Settings Information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG SLQSGetSessionState | ( | ULONG * | pStateV4,
|  | ULONG * | pStateV6,
|  | BYTE | instance
| ) |  |

Returns the state of the current packet data session.

Parameters

  pStateV4[OUT] | Current link status for IPV4 Session 1 - DISCONNECTED 2 - CONNECTED 3 - SUSPENDED (not supported) 4 - AUTHENTICATING
  pStateV6[OUT] | Current link status for IPV6 Session 1 - DISCONNECTED 2 - CONNECTED 3 - SUSPENDED (not supported) 4 - AUTHENTICATING
  instance | PDP instance

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG SLQSModifyProfile | ( | struct ModifyProfileIn * | pReq,
|  | struct ModifyProfileOut * | pResp
| ) |  |

Modify a profile(3GPP/3GPP2) with the specified parameters.

Parameters

  pReq[IN] | Contains parameters which can be modified
  pResp[OUT] | Contains parameters which indicates modification success or failure

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG SLQSResetPacketStatics | ( |  | ) |

This API request the device to reset packet data transfer statistics.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

          Timeout: 2 seconds\n

ULONG SLQSSet3GPPConfigItem | ( | slqs3GPPConfigItem * | pSLQS3GPPConfigItem | ) |

Sets the 3gpp configuration item.

Parameters

  pSLQS3GPPConfigItem[IN] | See slqs3GPPConfigItem for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS/LTE
  Timeout: 2 seconds

ULONG SLQSSetProfile | ( | ULONG | profileType,
|  | BYTE | profileId,
|  | ULONG * | pPDPType,
|  | ULONG * | pIPAddress,
|  | ULONG * | pPrimaryDNS,
|  | ULONG * | pSecondaryDNS,
|  | ULONG * | pAuthentication,
|  | CHAR * | pName,
|  | CHAR * | pAPNName,
|  | CHAR * | pUsername,
|  | CHAR * | pPassword
| ) |  |

Writes the profile settings for the specified profile Id.

Parameters

  profileType | Type of profile 0 - UMTS
  profileId | Profile number to be modified Value between 1 - 16
  pPDPType[IN] | Packet Data Protocol (PDP) type specifies the type of data payload exchanged over the air link when the packet data session is established with this profile (optional) 0 - PDP-IP (IPv4)
  pIPAddress[IN] | Preferred IPv4 addr to be assigned to device (optional)
  pPrimaryDNS[IN] | Primary DNS Ipv4 address preference (optional)
  pSecondaryDNS[IN] | Secondary DNS Ipv4 address preference (optional)
  pAuthentication[IN] | Bitmap that indicates authentication algorithm preference (optional) 0x00000001 - PAP preference 0 - Never performed 1 - May be performed 0x00000002 - CHAP preference 0 - Never performed 1 - May be performed All other bits are reserved and must be set to 0 If more than 1 bit is set, then device decides which authentication procedure is performed while setting up data session e.g. the device may have a policy to select the most secure authentication mechanism.
  pName[IN] | profile Name (optional)
  pAPNName[IN] | Access point name. NULL-terminated string parameter that is a logical name used to select GGSN and external packet data network (optional) If value is NULL or omitted, then subscription default value will be requested.
  pUsername[IN] | Username used during network authentication (optional)
  pPassword[IN] | Password used during network authentication (optional)

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout is 2 seconds.

ULONG SLQSStartStopDataSession | ( | struct ssdatasession_params * | pin | ) |

Starts or stops a 3GPP/3GPP2 data session on a preconfigured profile. To set the IP family for the data session, execute SLQSSetIPFamilyPreference prior to calling this API.

Parameters

  pin[IN] | ssdatasession_params structure See ssdatasession_params for more details

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 Minutes
  Use SLQSSetProfile to configure 3GPP profiles

ULONG SLQSWdsGoActive | ( | void |  | ) |

Forces the device to immediately reestablish the traffic channel on the serving radio interface

Parameters

  None |

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  This channel can go dormant any time after it has been reactivated. There is no assurance that the channel remains active for any guaranteed period. Timeout: 5 seconds

ULONG SLQSWdsGoDormant | ( | void |  | ) |

Forces the device to immediately drop the traffic channel on the serving radio interface

Parameters

  None |

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  This channel can be reactivated as soon as data is sent over the network interface. There is no assurance that the channel remains dormant for any guaranteed period. Timeout: 5 seconds

ULONG SLQSWdsSetEventReport | ( | wdsSetEventReportReq * | pSetEventReportReq | ) |

This API sets the wireless data connection state reporting conditions for the requesting control point.

Parameters

  pSetEventReportReq[IN] | See wdsSetEventReportReq for more information.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds
  The control point event reporting state variables are modified to reflect the settings indicated in the request message. The service maintains a set of state variables for each control point. Relevant wireless data connection state changes are communicated to the registered WDS control point via the SLQSWdsSetEventReportCallBack. The AT command equivalents to this command are AT+CMER, AT+CIND, and AT+CIEV

ULONG SLQSWdsSwiPDPRuntimeSettings | ( | swiPDPRuntimeSettingsReq * | pPDPRuntimeSettingsReq,
|  | swiPDPRuntimeSettingsResp * | pPDPRuntimeSettingsResp
| ) |  |

This API requests the device to return the active PDP context associated with a context id.

Parameters

  pPDPRuntimeSettingsReq[IN] | See swiPDPRuntimeSettingsReq for more information
  pPDPRuntimeSettingsResp[OUT] | See swiPDPRuntimeSettingsResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS/CDMA
  Device Supported: MC77XX
  Timeout: 2 seconds
  The AT command equivalent to this command is AT+CGCONTRDP

BOOL WDS_IsGobiDevice | ( |  | ) |